---
- hosts: servers
  become: true
  vars:
    tuning_technique: "adjust_recv_buf"
    test_duration: 150

  tasks:
    - name: Apply tuning technique
      include_tasks: "{{ tuning_technique }}.yml"
      tags:
        - tune

    - name: Start server and client
      block:
        - name: Start server
          import_playbook: path/to/server.yml
          async: "{{ test_duration }}"
          poll: 0

        - name: Wait for server to start
          ansible.builtin.pause:
            seconds: 5

        - name: Start client
          import_playbook: path/to/client.yml
          async: "{{ test_duration }}"
          poll: 0

      tags:
        - test

    - name: Wait for test to complete
      ansible.builtin.pause:
        seconds: "{{ test_duration }}"
      tags:
        - test

    - name: Reset tuning technique
      include_tasks: "reset_{{ tuning_technique }}.yml"
      tags:
        - reset
